/**
 * creatorinterface.h
 *
 * Copyright (C)  2004  Zack Rusin <zack@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */
#ifndef KONFIG_CREATORINTERFACE_H
#define KONFIG_CREATORINTERFACE_H

#include <qobject.h>

class QCString;

namespace KCfgCreator
{
    class ApplicationToken;

    class CreatorInterface : public QObject
    {
        Q_OBJECT
    public:
        CreatorInterface( QObject* parent, const char* name=0 );
    public slots:
        virtual void createConfig( ApplicationToken* )=0;
    signals:
        void done( ApplicationToken*, const QCString& data );
    };

}

#endif
