/**
 * kcfgcdialog.h
 *
 * Copyright (C)  2003  Zack Rusin <zack@kde.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */
#ifndef KCFGCDIALOG_H
#define KCFGCDIALOG_H

#include "kcfgcoptions.h"

#include <kdialogbase.h>

class KCfgcWidgetUI;

namespace KCfgCreator
{
    class KCfgcDialog : public KDialogBase
    {
        Q_OBJECT
    public:
        KCfgcDialog( KCfgcOptions& ops, QWidget* parent );


        QString kcfgFile() const;
        QString kclassName() const;
        QString configName() const;
    protected slots:
        virtual void slotOk();

    private:
        KCfgcWidgetUI* m_ui;
        KCfgcOptions& m_options;
    };
}


#endif
